<!-- /*** ****************** VISU ******************** **/ -->
<%@ page import="com.ether.AxeTypeForFixedPlateform" %>
<%@ page import="com.ether.AxeTypeForMobilePlateform" %>
<%@ page import="com.medias.Context" %>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<tiles:insert page="/resources/templates/templateEther.jsp" flush="true">

    <tiles:put name="title" type="string">
        <bean:message key="app.title"/> - <bean:message key="app.welcome"/>
    </tiles:put>

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="ether"/>
        <ether:htmlCss cssFile="button"/>
        <ether:htmlCss cssFile="blueprint-css/blueprint/src/grid"/>

        <ether:htmlCss cssFile="visu_parameter_by_pf"/>
        <ether:htmlCss cssFile="select"/>

        <%-- Calendar --%>
        <ether:htmlCss cssFile="calendar/anytime"/>
        <ether:htmlCss cssFile="windows_js_1.3/themes/default"/>
        <ether:htmlCss cssFile="windows_js_1.3/themes/mac_os_x"/>

    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlResourceJsp jspFile="etherHead"/>
        <ether:htmlJsp jspFile="visu_parameter_by_pf-script"/>
        <ether:htmlJsp jspFile="visu_parameter_by_pf-classes"/>
        <ether:htmlJs jsFile="Button"/>
        <ether:htmlJs jsFile="Select"/>

        <ether:htmlJs jsFile="library/jquery-1.4.2.min"/>
        <ether:htmlJs jsFile="library/prototype"/>

        <%-- Calendar --%>
        <ether:htmlJs jsFile="calendar/anytime"/>
        <ether:htmlJs jsFile="windows_js_1.3/javascripts/debug"/>
        <ether:htmlJs jsFile="windows_js_1.3/javascripts/effects"/>
        <ether:htmlJs jsFile="windows_js_1.3/javascripts/window"/>
        <ether:htmlJs jsFile="windows_js_1.3/javascripts/window_ext"/>

    </tiles:put>

    <bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
    <tiles:put name="nav" value='<%=relativePath+"/nav_visu_parameter.jsp"%>'/>


    <tiles:put name="bodytitle" type="string">
        <bean:message key="data.visualization.title"/>
    </tiles:put>


    <tiles:put name="body" type="string">

        <div class="span-25">
            <div id="generalContainerPlateforms" class="span-6 colborder">
                <div id="messages"><bean:message key="data.visualization.selectPf"/></div>

                <div id="containerPlateforms"></div>
            </div>

            <div id="generalContainerParameters" class="span-7 colborder">
                <div id="messages"><bean:message key="data.visualization.selectParameter"/></div>

                <div id="containerParameters"></div>
            </div>

            <div id="generalContainerOptions" class="span-11 last">
                <div id="containerOptionCalendar" class="span-10">
                    <div id="messages" class="messagesHeight"><bean:message
                            key="data.visualization.selectPeriod"/></div>
                    <input type="text" id="beginDate" size="15"/>
                    <input type="text" id="endDate" size="15"/>
                </div>

                <div id="containerOptionTitle" class="span-5">
                    <div id="messages" class="messagesHeight"><bean:message key="data.visualization.titleChoice"/></div>
                    <textarea id="textareaTitle" cols="25" rows="1"></textarea>
                </div>

                <div id="containerOptionType" class="span-5">
                    <div id="messages" class="messagesHeight"><bean:message key="data.visualization.type"/></div>
                </div>

                <div id="containerOptionPlots" class="span-10">
                    <div id="messages" class="messagesHeight span-4"><bean:message key="data.visualization.graph"/></div>
                    <div id="messages_number_parameters" class="messagesHeight messages_number_parameters"></div>
                    <div id="containerOptionPlotsSelect" class="span-10"></div>
                    <div id="containerOptionPlotsButtons" class="span-10"></div>
                </div>

                <div class="errorAndButtons">
                    <div id="containerButtons" class="span-7"></div>
                </div>
            </div>
        </div>

        <script type="text/javascript">
            var interfaceTexts = $A();
            interfaceTexts["app.title"] = '<bean:message key="app.title"/>';
            interfaceTexts["data.visualization.noPlateform"] = '<bean:message key="data.visualization.noPf"/>';
            interfaceTexts["data.visualization.noParameter"] = '<bean:message key="data.visualization.noParameter"/>';
            interfaceTexts["data.visualization.button.visualize"] = '<bean:message key="data.visualization.button.visualize"/>';
            interfaceTexts["data.visualization.button.download"] = '<bean:message key="data.visualization.button.download"/>';
            interfaceTexts["data.visualization.loading.data"] = '<bean:message key="data.visualization.loading.data"/>';
            interfaceTexts["data.visualization.Unvalid_Period"] = "<bean:message key="data.visualization.Unvalid_Period"/>";
            interfaceTexts["data.visualization.quicklook"] = "<bean:message key="data.visualization.quicklook"/>";
            interfaceTexts["data.visualization.button.today"] = "<bean:message key="data.visualization.button.today"/>";
            interfaceTexts["data.visualization.button.clear"] = "<bean:message key="data.visualization.button.clear"/>";

            interfaceTexts["data.visualization.selectDate"] = "<bean:message key="data.visualization.selectDate"/>";
            interfaceTexts["data.visualization.selectYear"] = "<bean:message key="data.visualization.selectYear"/>";
            interfaceTexts["data.visualization.selectMonth"] = "<bean:message key="data.visualization.selectMonth"/>";
            interfaceTexts["data.visualization.selectDay"] = "<bean:message key="data.visualization.selectDay"/>";
            interfaceTexts["data.visualization.selectTime"] = "<bean:message key="data.visualization.selectTime"/>";
            interfaceTexts["data.visualization.selectHour"] = "<bean:message key="data.visualization.selectHour"/>";
            interfaceTexts["data.visualization.selectMinute"] = "<bean:message key="data.visualization.selectMinute"/>";

            interfaceTexts["data.visualization.graph.noPlot"] = "<bean:message key="data.visualization.graph.noPlot"/>";
            interfaceTexts["data.visualization.add"] = "<bean:message key="data.visualization.add"/>";
            interfaceTexts["data.visualization.button.init"] = "<bean:message key="data.visualization.button.init"/>";
            interfaceTexts["data.visualization.parameter"] = "<bean:message key="data.visualization.parameter"/>";
            interfaceTexts["data.visualization.parameter.add"] = "<bean:message key="data.visualization.parameter.add"/>";
            interfaceTexts["data.visualization.parameter.init"] = "<bean:message key="data.visualization.parameter.init"/>";


            interfaceTexts["<%=AxeTypeForFixedPlateform.TIME_LINE%>"] = "<bean:message key="data.visualization.axeType.TimeLine"/>";
            interfaceTexts["<%=AxeTypeForFixedPlateform.TIME_POINTS%>"] = "<bean:message key="data.visualization.axeType.TimePoints"/>";
            interfaceTexts["<%=AxeTypeForMobilePlateform.D2_POINTS%>"] = "<bean:message key="data.visualization.axeType.2DPoints"/>";
            interfaceTexts["<%=AxeTypeForMobilePlateform.D2_CONTOUR%>"] = "<bean:message key="data.visualization.axeType.2DContour"/>";

            var interfaceVisualization = new InterfaceVisualization( ${plateforms}, ${axeTypesForFixedPlateforms}, ${axeTypesForMobilePlateforms} );
        </script>

    </tiles:put>

</tiles:insert>

<!-- /*** ****************** FIN VISU ******************** **/ -->
